Skip to main content
GET
/
v1
/
accounts
List Accounts
curl --request GET \
  --url https://api.waycore.com/v1/accounts \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "connectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "currency": "<string>",
      "name": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "officialName": "<string>",
      "maskedNumber": "<string>",
      "accountNumber": "<string>",
      "routingNumber": "<string>",
      "swiftBic": "<string>",
      "paymentIdentifiers": [
        {
          "countryCode": "US",
          "currency": "USD",
          "details": {
            "accountNumber": "000123456789",
            "routingNumber": "011000015"
          },
          "scheme": "us_ach"
        }
      ],
      "currentBalance": "<string>",
      "availableBalance": "<string>",
      "balanceAsOf": "2023-11-07T05:31:56Z",
      "metadata": {}
    }
  ],
  "pagination": {
    "hasMore": true,
    "nextCursor": "<string>"
  },
  "meta": {
    "requestId": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.waycore.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Opaque API key passed as Authorization: Bearer <key>. Keys are organization-bound, environment-bound (live or test), scope-carrying, and expiring. Create and manage keys via the console.

Query Parameters

cursor
string | null

Pagination cursor from a previous response.

limit
integer
default:100

Maximum number of items to return.

Required range: 1 <= x <= 500
fields
string | null

Comma-separated sparse fieldset. The server always includes required identifiers.

connectionId
string<uuid> | null

Filter by parent connection identifier.

type
enum<string> | null

Filter by canonical account type.

Available options:
checking,
savings,
moneyMarket,
creditCard,
loan,
investment,
wallet,
other,
unknown
currency
string | null

Filter by account currency.

Pattern: ^[A-Z0-9]{3,12}$
status
enum<string> | null

Filter by account status.

Available options:
open,
closed,
unknown

Response

Successful Response

data
Account · object[]
required
pagination
Pagination · object
required
meta
Meta · object
required